/* tslint:disable */
export const memory: WebAssembly.Memory;
export function create_hash(a: number, b: number, c: number): void;
export function create_u8a_hash(a: number, b: number, c: number): void;
export function hex_to_u8a(a: number, b: number, c: number): void;
export function u8a_to_hex(a: number, b: number, c: number): void;
export function __wbg_vproof_free(a: number): void;
export function vproof_new(): number;
export function vproof_fromJSON(a: number): number;
export function vproof_fromClaimAndKeys(a: number, b: number, c: number): number;
export function vproof_toJSON(a: number): number;
export function __wbg_vnonrevocationproof_free(a: number): void;
export function vnonrevocationproof_new(): number;
export function vnonrevocationproof_fromJSON(a: number): number;
export function vnonrevocationproof_toJSON(a: number): number;
export function __wbg_vclaim_free(a: number): void;
export function vclaim_new(): number;
export function vclaim_fromJSON(a: number): number;
export function vclaim_toJSON(a: number): number;
export function vclaim_sign(a: number, b: number, c: number, d: number): void;
export function vclaim_verify(a: number, b: number): number;
export function vclaim_getCredentialStatus(a: number): number;
export function vclaim_setCredentialStatus(a: number, b: number): number;
export function vclaim_getCredentialType(a: number): number;
export function vclaim_setCredentialType(a: number, b: number): number;
export function vclaim_getCredentialSubject(a: number): number;
export function vclaim_setCredentialSubject(a: number, b: number): number;
export function vclaim_getId(a: number): number;
export function vclaim_setId(a: number, b: number, c: number): number;
export function vclaim_getIssuanceDate(a: number): number;
export function vclaim_setIssuanceDate(a: number, b: number, c: number): number;
export function vclaim_getIssuer(a: number): number;
export function vclaim_setIssuer(a: number, b: number, c: number): number;
export function verify_claim(a: number, b: number): number;
export function __wbg_vcredential_free(a: number): void;
export function vcredential_new(a: number, b: number): number;
export function vcredential_fromJSON(a: number): number;
export function vcredential_setContext(a: number, b: number, c: number): number;
export function vcredential_setType(a: number, b: number, c: number): number;
export function vcredential_setId(a: number, b: number, c: number): number;
export function vcredential_setIssuer(a: number, b: number, c: number): number;
export function vcredential_setClaim(a: number, b: number): number;
export function vcredential_setProof(a: number, b: number): number;
export function vcredential_setNonRevocationProof(a: number, b: number): number;
export function vcredential_addContext(a: number, b: number, c: number): number;
export function vcredential_addClaim(a: number, b: number): number;
export function vcredential_addProof(a: number, b: number): number;
export function vcredential_addNonRevocationProof(a: number, b: number): number;
export function vcredential_addType(a: number, b: number, c: number): number;
export function vcredential_getContext(a: number): number;
export function vcredential_getType(a: number): number;
export function vcredential_getId(a: number): number;
export function vcredential_getIssuer(a: number): number;
export function vcredential_getClaims(a: number): number;
export function vcredential_getProof(a: number): number;
export function vcredential_getNonRevocationProof(a: number): number;
export function vcredential_toJSON(a: number): number;
export function __wbg_vpresentation_free(a: number): void;
export function vpresentation_new(a: number, b: number): number;
export function vpresentation_fromJSON(a: number): number;
export function vpresentation_setContext(a: number, b: number, c: number): number;
export function vpresentation_setId(a: number, b: number, c: number): number;
export function vpresentation_setType(a: number, b: number, c: number): number;
export function vpresentation_setVerifiableCredential(a: number, b: number): number;
export function vpresentation_setProof(a: number, b: number): number;
export function vpresentation_addContext(a: number, b: number, c: number): number;
export function vpresentation_addType(a: number, b: number, c: number): number;
export function vpresentation_addVerifiableCredential(a: number, b: number): number;
export function vpresentation_getContext(a: number): number;
export function vpresentation_getVerifialbleCredential(a: number): number;
export function vpresentation_getType(a: number): number;
export function vpresentation_getId(a: number): number;
export function vpresentation_getProof(a: number): number;
export function vpresentation_toJSON(a: number): number;
export function __wbindgen_malloc(a: number): number;
export function __wbindgen_realloc(a: number, b: number, c: number): number;
export function __wbindgen_free(a: number, b: number): void;
